If Object_Id('dbo.vw_dias_ausencia') Is Not Null
    Drop View dbo.vw_dias_ausencia
Go
Create View dbo.vw_dias_ausencia
As
Select 
    a.id_ausentismo, a.compania, 
    Case When tipo <> 4 Then a.id_ausentismo Else IsNull(a.id_origen, 0) End As id_ausentismo1,
    a.trabajador, a.concepto, a.dias, a.fecha_inicio, a.fecha_fin,
    IsNull(Case When tipo <> 4 Then 0 Else 
        (Select Sum(b.dias) From fco_ausentismos b
         Where a.compania = b.compania And a.trabajador = b.trabajador And a.concepto = b.concepto
           And (a.id_origen = b.id_ausentismo Or (b.id_origen = a.id_origen And b.id_ausentismo < a.id_ausentismo))
        )
    End, 0) As dias_anteriores
From fco_ausentismos a
Go
Grant Select On dbo.vw_dias_ausencia To Public
Go
